Subject: RE: [Simple] Why do we need Presence Caching?

From: "Arnaud Weil" <[email-masked]>
Date: Wed, 8 Aug 2001 14:19:54 +0200

Hi Simon,

It seems to me that caching presence information would allow for a more
sensible use of the available resources. The idea is that if B knows
about A's presence, it can give it to C without the need for C to ask it
to A. This relieves the pressure on A. And this will be quite
interesting in the case of servers handling thousands of subscriptions.

Of course, as part of CPIM, a timing mechanism has been set up so that B
doesn't give to C any inacurate presence info about A.

Regards,
Arnaud Weil

-----Original Message-----
From: Simon [mailto:[email-masked]]
Sent: mercredi 8 août 2001 09:26
To: [email-masked]
Subject: [Simple] Why do we need Presence Caching?

Hi,

In the section 3.3 of RFC 2779, there are some requirements about
presence caching and replication. But I cannot understand when we need
to cache the PRESENCE INFORMATION. Would you like to give me some
explantions?

Thanks.

Regards,
Simon Young

_______________________________________________
simple mailing list
[email-masked]
http://mailman.dynamicsoft.com/mailman/listinfo/simple

---

From: "David R. Oran" <[email-masked]>
Date: Wed, 8 Aug 2001 09:23:50 -0400

How do you secure this without transitive trust among A, B and C? Or are
you happy with requiring C to trust B to properly represent A's state
and not be a "man in the middle"

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Arnaud Weil
> Sent: Wednesday, August 08, 2001 8:20 AM
> To: Simon; [email-masked]
> Subject: RE: [Simple] Why do we need Presence Caching?
> 
> 
> Hi Simon,
> 
> It seems to me that caching presence information would allow 
> for a more sensible use of the available resources. The idea 
> is that if B knows about A's presence, it can give it to C 
> without the need for C to ask it to A. This relieves the 
> pressure on A. And this will be quite interesting in the case 
> of servers handling thousands of subscriptions.
> 
> Of course, as part of CPIM, a timing mechanism has been set 
> up so that B doesn't give to C any inacurate presence info about A.
> 
> Regards,
> Arnaud Weil
> 
> In the section 3.3 of RFC 2779, there are some requirements 
> about presence caching and replication. But I cannot 
> understand when we need to cache the PRESENCE INFORMATION. 
> Would you like to give me some explantions?
> 
> Thanks.
> 
> Regards,
> Simon Young
> 
> http://mailman.dynamicsoft.com/mailman/listinf> o/simple
> 
> http://mailman.dynamicsoft.com/mailman/listinf> o/simple
>